%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% jakcdrom.cls
% Classe LaTeX : Jaquettes pour CdRom
% Version : 1.0.0 (01/02/2000)
% Copyright (c) 2000 Philippe ROY
% Auteur : Philippe ROY <ph_roy@yahoo.com>
%
% Ce document est un document libre ; vous pouvez le redistribuer et/ou le modifier
% sous les termes de la licence publique gnrale GNU telle qu'elle est publie par
% la Free Software Foundation ; soit la version 2 de la licence, ou
% (comme vous voulez) toute version ultrieure.
%
% Ce document est distribu dans l'espoir qu'il sera utile,
% mais SANS AUCUNE GARANTIE ; mme sans la garantie de
% COMMERCIALIT ou d'ADQUATION A UN BUT PARTICULIER. Voir la
% licence publique gnrale GNU pour plus de dtails.
%
% Vous devriez avoir reu une copie de la licence publique gnrale GNU
% avec ce programme ; si ce n'est pas le cas, crivez  la Free Software
% Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
%
%
% This document is free document; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Librairies
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\NeedsTeXFormat{LaTeX2e}[1998/12/01]
\ProvidesClass{jakcdrom}[2000/02/01 v1.0 Jaquette pour Cd Rom]

\LoadClass[a4paper, 8pt]{article}
\RequirePackage {pstricks}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Mise en page
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\setlength{\textwidth}{453pt}		%Largeur du corps
\setlength{\textheight}{701pt}		%Hauteur du corps
\setlength{\oddsidemargin}{0cm}		%Marge gauche
\setlength{\marginparsep}{0cm}		%Sparation droite entre corps et marge de notes
\setlength{\marginparwidth}{0cm}	%Largeur de la marge de notes

\setlength{\topmargin}{0cm}		%Marge haute
\setlength{\headheight}{0cm} 		%Hauteur de l'entte
\setlength{\headsep}{0cm} 		%Sparation basse entre corps et pied de page
\setlength{\footskip}{0cm} 		%Hauteur du pied de page

\pagestyle{empty}	


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Donnes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand {\titreData}{\mbox{}}
\newcommand {\titre}[1]{\renewcommand{\titreData}{#1}}

\newcommand {\soustitreData}{\mbox{}}
\newcommand {\soustitre}[1]{\renewcommand{\soustitreData}{#1}}	


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Disposition
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Init Variables %
\newcommand {\largeur}{0}
\newcommand {\hauteur}{0}

% Jaquette Avant %
\newcommand {\FaireJakAvant}
{
	\renewcommand {\largeur}{12}
	\renewcommand {\hauteur}{12}

	\begin{pspicture}(\largeur,\hauteur)

		% Cadre %
		\psline(0,0)(\largeur,0)
		\psline(\largeur,0)(\largeur,\hauteur)
		\psline(\largeur,\hauteur)(0,\hauteur)
		\psline(0,\hauteur)(0,0)

	        % Titre %
		\rput{0}(5,4){\psframebox*{\parbox[t]{9cm}{\Huge {\titreData}}}}
		\rput{0}(5,2){\psframebox*{\parbox[t]{9cm}{\huge {\soustitreData}}}}

	\end{pspicture}
	
	% Espace %
	\begin{pspicture}(0.1,0.5)	
	\end{pspicture}
}

% Pochette Arrire %
\newcommand {\FaireJakArriere}
{
	\renewcommand {\largeur}{15}
	\renewcommand {\hauteur}{11.8}

	\begin{pspicture}(\largeur,\hauteur)

		% Titre %
		\rput{90}(0.35,6){\psframebox*{\parbox[t]{11cm}{\Large \titreData ~~~ \Large \soustitreData}}}
		\rput{90}(14.75,6){\psframebox*{\parbox[t]{11cm}{\Large \titreData ~~~ \Large \soustitreData}}}
               	\rput{0}(6,4){\psframebox*{\parbox[t]{9cm}{\Huge {\titreData}}}}
		\rput{0}(6,2){\psframebox*{\parbox[t]{9cm}{\huge {\soustitreData}}}}

		% Cadre %
		\psline(0,0)(\largeur,0)
		\psline(\largeur,0)(\largeur,\hauteur)
		\psline(\largeur,\hauteur)(0,\hauteur)
		\psline(0,\hauteur)(0,0)
		\psline(0.66,0)(0.66,\hauteur)
		\psline(14.33,0)(14.33,\hauteur)
			
	\end{pspicture}
}                                                 	






